## EDU.oswego.cs.dl.util.concurrent
Class FJTask.Seq

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.FJTask
          EDU.oswego.cs.dl.util.concurrent.FJTask.Seq

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FJTask

    public static class FJTask.Seq

extends FJTask

A `new Seq`, when executed, invokes each task provided in the constructor, in order. The class is a simple utility that makes it easier to create composite FJTasks.

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`FJTask.Par, FJTask.Par2, FJTask.Seq, FJTask.Seq2, FJTask.Wrap`

Field Summary
`protected FJTask[]` `tasks`

Constructor Summary
`FJTask.Seq(FJTask[] tasks)` Construct a Seq that, when executed, will process each of the tasks in the tasks array in order
`FJTask.Seq(FJTask task1, FJTask task2)` Two-task constructor, for compatibility with previous release.

Method Summary
`void` `run()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`cancel, coInvoke, coInvoke, fork, getFJTaskRunner, getFJTaskRunnerGroup, invoke, isDone, join, par, par, reset, seq, seq, setDone, start, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tasks

    protected final FJTask[] tasks

Constructor Detail

### FJTask.Seq

    public FJTask.Seq(FJTask[] tasks)

  Construct a Seq that, when executed, will process each of the tasks in the tasks array in order

### FJTask.Seq

    public FJTask.Seq(FJTask task1,
                      FJTask task2)

  Two-task constructor, for compatibility with previous release.

Method Detail

### run

    public void run()